<?php
class ProfileSessionLoader implements IBusinessLogic
{

	public static function getInstance()
	{
		return new ProfileSessionLoader();
	}

	public function process()
	{
		//TODO: where to get the user data?
		// check for uid in url
		//check for existing session id
		//check for cookie
		
		$_SESSION['fname'] = 'Joe';
		$_SESSION['lname'] = 'Bloggs';
		$_SESSION['email'] = 'joe@college.edu';
	}
}